.sidebar{
    margin: 5px 0 -9999px -9999px;
    padding: 45px 0 9999px 9999px;
    background: @background-aside;
    float: left;
    width: 312px;
    line-height: 1.5;
    article{
        padding: 15px 25px 33px 0;
        border-top: 1px dashed lighten(@color-pure, 45%);
        &:first-child{
            border: none;
        }
        h3{
            font-size: @heading-third-size;
            line-height: @line-height-default;
            color: @color-dark-pure;
            .heading-style();
            margin: 0 0 20px;
        }
        img{
            margin: 0 0 20px;
        }
        p{
            margin: 0 0 20px;
        }
    }
    .search-form{
        .clearfix();
        #gradient .vertical(@start-color: #774799; @end-color: #5e3879; @start-percent: 20%; @end-percent: 100%);
        margin: 0 0 26px;
        padding: 8px 9px 8px 14px;
        width: 275px;
        box-sizing: border-box;
        border-radius: 22px;
        border-bottom: 1px solid @color-pure;
        label{
            display: inline-block;
            margin: 0 8px 0 0;
            font-size: @heading-list-size;
            font-weight: bold;
            color: @color-link-at-top;
            text-transform: uppercase;
        }
        input[type="search"]{
            width: 166px;
            height: 28px;
            padding: 0 5px;
            box-sizing: border-box;
            border: 1px solid;
            border-color: #c6c6c6 #faf9fb #f5f5f5 #d2d1d3;
            #gradient .vertical(@start-color: #fff; @end-color: #eaeaea; @start-percent: 20%; @end-percent: 100%);
        }
        button{
            border: none;
            background: url(@spritesheet-image) no-repeat @ico-go-offset-x @ico-go-offset-y;
            width: @ico-go-width;
            height: @ico-go-height;
            display: inline-block;
            margin: 0 0 0 4px;
            vertical-align: top;
            cursor: pointer;
            .hide-text();
        }
    }
    .box{
        .clearfix();
        margin: 0 27px 32px 0;
        padding: 27px 18px 25px 21px;
        border-radius: 10px;
        border: 1px solid;
        border-color: @border-dashed-content @background-content @background-content @border-dashed-content;
        background: @background-content;
        h4{
            color: @color-pure*1.5;
            margin: 0 0 15px;
            position: relative;
        }
        ul{
            .reset-list();
            line-height: @line-height-default;
            li{
                border-bottom: 1px dashed @background;
                &:first-child{
                    border-top: 1px dashed @background;
                }
                a{
                    padding: 9px 15px;
                    text-decoration: none;
                    color: @color-pure;
                    display: block;
                    .transition();
                    &:hover{
                        background: @color-pure*1.5;
                        color: @color-link-at-top;
                        
                    }
                }
            }
        }
        table{
            width: 100%;
            border-collapse: collapse;
            margin: 0 0 30px;
            td{
                padding: 6px 8px 4px;
            }
            thead{
                color: @color-dark-pure;
                tr{
                    background: none;
                }
            }
            tbody{
                tr{
                    &:nth-child(odd){
                        background: @color-light-green*1.1;
                    }
                }
            }
            tfoot{
                background: @border-top;
                font-weight: bold;
                font-style: italic;
                color: @color-raspberry;
            }
        }
        .btn-holder{
            text-align: center;
            .btn{
                background-size: 100% auto;
                padding: 13px 24px 15px 25px;
                font-size: @font-size-default;
                &:hover{
                    background-size: 100% auto;
                    background-position: 1px -1px;
                }
            }
        }
    }
    .cart{
        h4{
            display: inline-block;
            padding: 0 36px 0 0;
            &:after{
                content: '';
                position: absolute;
                top: -8px;
                right: 0;
                background: url(@spritesheet-image) no-repeat @ico-basket-medium-offset-x @ico-basket-medium-offset-y;
                width: @ico-basket-medium-width;
                height: @ico-basket-medium-height;
            }
        }
    }
}